unit IEdit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, adapter_intf;

type
  TIEdit = class(TEdit, ITextAndValue)
  private
    { Private declarations }
  protected
    procedure SetText(const Value: string);
    procedure SetValue(const Value: Integer);
    function GetText: string;
    function GetValue: Integer;
  public
    { Public declarations }
  published
    { Published declarations }
  end;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('Samples', [TIEdit]);
end;

{ TIEdit }

function TIEdit.GetText: string;
begin
  Result := Text;
end;

function TIEdit.GetValue: Integer;
begin
  Result := StrToIntDef (Text, 0);
end;

procedure TIEdit.SetText(const Value: string);
begin
  Text := Value;
end;

procedure TIEdit.SetValue(const Value: Integer);
begin
  Text := IntToStr (Value);
end;

end.
