unit ILabel;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, adapter_intf;

type
  TILabel = class(TLabel, ITextAndValue)
  private
    { Private declarations }
  protected
    procedure SetText(const Value: string);
    procedure SetValue(const Value: Integer);
    function GetText: string;
    function GetValue: Integer;
  public
    { Public declarations }
  published
    { Published declarations }
  end;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('Samples', [TILabel]);
end;

{ TILabel }

function TILabel.GetText: string;
begin
  Result := Caption;
end;

function TILabel.GetValue: Integer;
begin
  Result := StrToIntDef (Caption, 0);
end;

procedure TILabel.SetText(const Value: string);
begin
  Caption := Value;
end;

procedure TILabel.SetValue(const Value: Integer);
begin
  Caption := IntToStr (Value);
end;

end.
