unit observer_comps;

interface

uses
  StdCtrls, observer_core;

type
  TLabel = class (StdCtrls.TLabel, ISubscribe)
  public
    procedure Subscr;
    procedure Notify (strWhat: string; data: TObject);
  end;

implementation

{ TLabel }

procedure TLabel.Notify(strWhat: string; data: TObject);
begin
  Caption := strWhat + ': ' + data.ClassName;
end;

procedure TLabel.Subscr;
begin
  TObserver.Instance.Subscribe(self, Hint);
end;

end.
