unit TableProxi;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, db, dbtables;

type
  TTableProxi = class(TComponent)
  private
    FTable: TTable;
    FDataBaseName: String;
    FTableName: String;
    procedure SetDataBaseName(const Value: String);
    procedure SetTableName(const Value: String);
    function GetTable: TDataSet;
    { Private declarations }
  protected
    { Protected declarations }
  public
    property Table: TDataSet read GetTable;
  published
    property TableName: String read FTableName write SetTableName;
    property DataBaseName: String read FDataBaseName write SetDataBaseName;
  end;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('Samples', [TTableProxi]);
end;

{ TTableProxi }

function TTableProxi.GetTable: TDataSet;
begin
  if not Assigned (ftable) then
  begin
    fTable := TTable.Create (self);
    ftable.databasename := fdatabasename;
    ftable.tablename := ftablename;
  end;
  Result := fTable;
end;

procedure TTableProxi.SetDataBaseName(const Value: String);
begin
  FDataBaseName := Value;
  if Assigned (ftable) then
    ftable.databasename := fdatabasename;
end;

procedure TTableProxi.SetTableName(const Value: String);
begin
  FTableName := Value;
  if Assigned (ftable) then
    ftable.tablename := ftablename;
end;

end.
 