unit IProgressBar;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, adapter_intf;

type
  TIProgressBar = class(TProgressBar, ITextAndValue)
  private
    { Private declarations }
  protected
    procedure SetText(const Value: string);
    procedure SetValue(const Value: Integer);
    function GetText: string;
    function GetValue: Integer;
  public
    { Public declarations }
  published
    { Published declarations }
  end;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('Samples', [TIProgressBar]);
end;

{ TIProgressBar }

function TIProgressBar.GetText: string;
begin
  Result := IntToStr (Position);
end;

function TIProgressBar.GetValue: Integer;
begin
  Result := Position;
end;

procedure TIProgressBar.SetText(const Value: string);
begin
  Position := StrToIntDef (Value, 0);
end;

procedure TIProgressBar.SetValue(const Value: Integer);
begin
  Position := Value;
end;

end.
