unit mainform;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls, Db, DBTables, Grids, DBGrids, Mask, DBCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Edit1: TEdit;
    StatusBar1: TStatusBar;
    Button2: TButton;
    Table1: TTable;
    Button3: TButton;
    DataSource1: TDataSource;
    DBGrid1: TDBGrid;
    Table1CustNo: TFloatField;
    Table1Company: TStringField;
    Table1Addr1: TStringField;
    Table1Addr2: TStringField;
    Table1City: TStringField;
    Table1State: TStringField;
    Table1Zip: TStringField;
    Table1Country: TStringField;
    Table1Phone: TStringField;
    Table1FAX: TStringField;
    Table1TaxRate: TFloatField;
    Table1Contact: TStringField;
    Table1LastInvoiceDate: TDateTimeField;
    DBEdit1: TDBEdit;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

function Clone (c: TComponent): TComponent;
var
  mStream: TMemoryStream;
begin
  mStream := TMemoryStream.Create;
  try
    mStream.WriteComponentRes (c.Name, c);
    mStream.Position := 0;
    c.Name := c.Name + IntToStr (random (1000));
    Result := TComponentClass(c.ClassType).Create (c.Owner);
    mStream.ReadComponentRes (Result);
  finally
    mStream.Free;
  end;

  // version 1
{  Result := TComponentClass(c.ClassType).
    Create (c.Owner);}
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  with Clone (Edit1) as TControl do
  begin
    Parent := self;
    SetBounds (Edit1.Left + 30,
      Edit1.Top + 30, Edit1.Width, Edit1.height);
  end;

{  with Clone (Button1) as TControl do
  begin
   Parent := self;
    SetTextBuf ('nuovo');
  end;}
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
//  StatusBar1.Visible := False;
  with Clone (StatusBar1) as TControl do
  begin
    Parent := self;
    Visible := True;
  end;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  DataSource1.Dataset := Clone (Table1) as TDataSet;
end;

initialization
  RegisterClasses ([TButton, TEdit, TFloatField, TStringField,
    TIntegerField, TDateTimeField]);

end.
